import { ChangeDetectionStrategy, Component } from '@angular/core';
import { UiModalRef } from '@ui/modal';
import { HistoryData } from './history-data';

@Component({
  selector: 'lib-history',
  templateUrl: 'history.component.html',
  styleUrls: ['history.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  standalone: false,
})
export class HistoryModalComponent {
  get customerName() {
    return this.ref.data.customerName;
  }

  get customerNumber() {
    return this.ref.data.customerNumber;
  }

  get history() {
    return this.ref.data.history;
  }

  constructor(public ref: UiModalRef<void, HistoryData>) {}
}
